## ros-melodic-gazebo-ros 2.8.7

=== debian/changelog ===
ros-melodic-gazebo-ros (2.8.7-1stretch) stretch; urgency=high

  * add node required to empty world (#1078 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1078>)
    Signed-off-by: Mabel Zhang <mailto:mabel@openrobotics.org>
  * Contributors: Mabel Zhang

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 30 Apr 2020 22:00:00 -0000

ros-melodic-gazebo-ros (2.8.6-1stretch) stretch; urgency=high

  * ROS API: remove unhelpful error in GetWorldProperties call (#747 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/747>)
  * Create reconfigure thread only if network enabled (#919 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/919>)
    This thread was blocked in client.waitForExistance because the services
    it depends on are only created if enable_ros_network is true. This in
    turn blocked gazebo from being shut down.
    Signed-off-by: Shane Loretz <mailto:sloretz@osrfoundation.org>
  * spawn_model: Fix urlparse imports for Python 3
  * spawn_model: Ensure that "model_xml" is a string, required for Python 3
  * catkin_find gazebo plugin from bin folder. (#993 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/993>)
  * [Windows][melodic-devel] more Windows build break fix (#975 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/975>)
    * Fix CMake install error for Windows build.
    * conditionally include <sys/time.h>
  * provide Windows implemenation for setenv. (#879 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/879>)
  * implement basic gazebo scripts to support launch file on Windows build. (#880 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/880>)
  * Contributors: Kartik Mohta, Kevin Allen, Sean Yen, Shane Loretz

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Dec 2019 23:00:00 -0000

ros-melodic-gazebo-ros (2.8.5-1stretch) stretch; urgency=high

  * Add output arg to launch files, plus some small fixes (melodic) (#907 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/907>)
    * Add output arg to empty_world
    * add output arg to elevator_world
    * add output arg to range_world
    * don't set use_sim_time in range_world
    Instead parse it to empty world, where it will be set.
    * add xml prolog to all launch files
    * Remove unnecessary arg in range_world.launch
  * use C++11 std sleep instead of usleep. (#877 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/877>)
  * fix issue #198 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/198> (#825 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/825>)
  * Lower minimum cmake version (#817 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/817>)
  * Contributors: Matthijs van der Burgh, Paul Bovbel, Sean Yen [MSFT], Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 03 Jun 2019 22:00:00 -0000

ros-melodic-gazebo-ros (2.8.4-1stretch) stretch; urgency=high

  * Refactor spawn_model script
    * more robust -package_to_model implementation (issue #449)
    * add stdin as source option
    * parse arguments with argparse
    * remove deprecated/unused -gazebo and -trimesh options
  * Fix physics reconfigure within namespace (issue #507)
  * Contributors: Kevin Allen, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 05 Jul 2018 22:00:00 -0000

ros-melodic-gazebo-ros (2.8.3-1stretch) stretch; urgency=high

  * Use generic SIGINT parameter in kill command for gazebo script (melodic-devel) (#724 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/724>)
    * Use generic SIGINT parameter in kill command for gazebo script
    * redirect to kill command to std_err
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-melodic-gazebo-ros (2.8.2-1stretch) stretch; urgency=high

  * Fix the build on Ubuntu Artful. (#715 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/715>)
    Artful has some bugs in its cmake files for Simbody that
    cause it to fail the build.  If we are on artful, remove
    the problematic entries.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 May 2018 22:00:00 -0000

ros-melodic-gazebo-ros (2.8.1-1stretch) stretch; urgency=high

  * Parameter to disable ROS network interaction from/to Gazebo (lunar-devel) (#704 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/704>)
  * Load the libgazebo_ros_api_plugin when starting gzclient so that the ROS event loop will turn over, which is required when you have a client-side Gazebo plugin that uses ROS. (#676 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/676>)
  * Pass verbose argument to gzclient (#677 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/677>)
  * strip comments from parsed urdf (#698 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/698>)
    Remove comments from urdf before trying to find packages. Otherwise non-existant packages will produce a fatal error, even though they are not used.
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 04 May 2018 22:00:00 -0000

ros-melodic-gazebo-ros (2.7.4-1stretch) stretch; urgency=high

  * Fix last gazebo8 warnings! (lunar-devel) (#664 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/664>)
  * Fix for relative frame errors (lunar-devel) (#663 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/663>)
  * Fix gazebo8 warnings part 7: retry #642 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/642> on lunar (#660 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/660>)
  * Fix gazebo8 warnings part 10: ifdefs for GetModel, GetEntity, Light (lunar-devel) (#657 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/657>)
  * gazebo8 warnings: ifdefs for Get.*Vel() (#655 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/655>)

