=== debian/control ===
Source: ros-melodic-gazebo-ros
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-dynamic-reconfigure, ros-melodic-gazebo-dev, ros-melodic-gazebo-msgs, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-rosgraph-msgs, ros-melodic-roslib, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-melodic-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpython2.7-stdlib, libtinyxml-dev, ros-melodic-dynamic-reconfigure, ros-melodic-gazebo-dev, ros-melodic-gazebo-msgs, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-rosgraph-msgs, ros-melodic-roslib, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf
Description: Provides ROS plugins that offer message and service publishers for interfacing with Gazebo through ROS.
 Formally simulator_gazebo/gazebo
